Systemanforderungen

wpShopGermany ist eine komplett webbasierte Shop-Lösung, die auf nahezu jedem Server mit WordPress-Installation einfach installiert werden kann. Dazu müssen folgende Systemanforderungen erfüllt sein:

Server

Die benötigte Server-Hardware ist u.a. abhängig von den verwendeten WordPress-Plugins, dem eingesetzten WordPress-Theme, der Anzahl der Artikel, die im Shop angeboten werden sollen und dem erwarteten Traffic (Besucher / Tag). Die Anforderungen werden von den meisten Hosting-Providern erfüllt.

Mindestanforderungen:

  • installiertes WordPress >= 3.9
  • aktueller Webserver (Apache, nginx, IIS)
  • MySQL 5.0
  • PHP ab 5.4 mit Bibliotheken für:

empfohlene PHP-/Webserver-Einstellungen:

  • memory_limit = 128M*
    max_execution_time = 600*
    max_input_vars = 5000*
    upload_max_filesize = 40M*
    register_globals = Off
    allow_url_fopen = On oder cURL
    extension=php_openssl.dll (nur auf Windows-Server)
  • Verarbeitung der .htaccess-Datei um Verzeichnisse zu schützen
  • Linuxserver auf Intel
  • aktiviertes cURL auf Webserver

*) je nach Serververwendung kann dieser Wert zu gering ausfallen und ggf. korrigiert werden

Client

Die Administration Ihres wpShopGermany kann komplett online über den Webbrowser erfolgen, direkt über das WordPress-Backend. Hierzu ist es notwendig, dass Sie Javascript und Cookies aktivieren, um den Workflow zu verbessern.

Wir empfehlen den Einsatz eines aktuellen modernen Browsers wie Firefox, Safari, Chrome oder Opera.